Download it now!
Bug 132798 - Writer hide "system" styles like sender, signature, Addresse
Summary: Writer hide "system" styles like sender, signature, Addresse
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: andreas_k
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Sidebar-Styles
  Show dependency treegraph
 
Reported: 2020-05-07 07:26 UTC by andreas_k
Modified: 2021-07-19 09:24 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Styles sidebar left with hidden styles right without hidden styles (36.68 KB, image/png)
2020-05-07 07:29 UTC, andreas_k
Details
Hidden Styles section (7.68 KB, image/png)
2020-05-07 07:30 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2020-05-07 07:26:16 UTC
The writer style sidebar is really good in the hirarchical view you see very good the structure of all styles.

Anyway there are some styles like
- Address
- Complimentary Close
- Horizontal Line
- Sender
- Signature

which will be used if the user use an .uno: command like signature, horizontal line, ... so this styles are not designed for the end user by default they are only needed if the user add this commands.

That's the reason I'd like to hide this styles by default. If you hide an style by default the style will be available hidden Styles drop down entry, but if an user add an horizontal line the style will be again visible in the hirarchical view.

So I think hiden styles is a gread option for "system" styles which will be needed for an uno command but not by default for the user.

I'm open to hide also 
- Endnote
- Footnote
cause this styles are also only usefull when you add an end/footnote

- List Contents
- List Heading
- Frame Content
I'm also open to hide them.
Comment 1 andreas_k 2020-05-07 07:29:16 UTC
Created attachment 160478 [details]
Styles sidebar left with hidden styles right without hidden styles

The goal is to cleanup the sidebar to have there no styles "nobody" knows without LibreOffice internal knowledge where the styles will be used.

If an user add for example an horizontal Line the Style will be visible in the sidebar and it will be easy for the user, that when the user change the horizontal line style all lines will be updated. But this is not usefull if there is no horizontal line in the document.
Comment 2 andreas_k 2020-05-07 07:30:43 UTC
Created attachment 160479 [details]
Hidden Styles section

The styles will be only hidden so with the drop down menu the user can switch from hirarchical to hidden and there are this styles with right click you can show them again.
Comment 3 Heiko Tietze 2020-05-07 07:47:48 UTC
It sounds like a reasonable idea to hide paragraph styles that are primarily applied automatically. Guess when hidden they wont appear in the currently used filter either.

Samuel, since you worked on the signature stuff, what do you think about hiding the respective styles?
Comment 4 Heiko Tietze 2020-05-14 07:15:35 UTC
There was no objection to the idea, so please go for it.
Comment 5 andreas_k 2020-05-15 10:36:51 UTC
https://gerrit.libreoffice.org/c/core/+/93604
Comment 6 BogdanB 2020-05-17 10:48:08 UTC
Evertyhing like in the image (proposal).
Version: 7.0.0.0.alpha1+
Build ID: b1e396d86655a0131498a4691dd8069ea76c3477
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-05-15_04:58:38
Calc: threaded
Comment 7 Buovjaga 2021-04-02 07:30:44 UTC
Has this commit been reverted? Because I see the styles as usual.
Comment 8 andreas_k 2021-04-02 07:46:52 UTC
Cause I removed the styles from the template file, but LibO Writer didn't use the standard template.